All Data Structures Functions Variables Typedefs Enumerations Enumerator Groups Pages
Minimum_Maximum
Statistical Functions

## Functions

NppStatus | nppsMinMaxGetBufferSize_8u_Ctx (int nLength, int *hpBufferSize, NppStreamContext nppStreamCtx)
| Device-buffer size (in bytes) for nppsMinMax_8u. More...
NppStatus | nppsMinMaxGetBufferSize_8u (int nLength, int *hpBufferSize)
NppStatus | nppsMinMaxGetBufferSize_16s_Ctx (int nLength, int *hpBufferSize, NppStreamContext nppStreamCtx)
| Device-buffer size (in bytes) for nppsMinMax_16s. More...
NppStatus | nppsMinMaxGetBufferSize_16s (int nLength, int *hpBufferSize)
NppStatus | nppsMinMaxGetBufferSize_16u_Ctx (int nLength, int *hpBufferSize, NppStreamContext nppStreamCtx)
| Device-buffer size (in bytes) for nppsMinMax_16u. More...
NppStatus | nppsMinMaxGetBufferSize_16u (int nLength, int *hpBufferSize)
NppStatus | nppsMinMaxGetBufferSize_32s_Ctx (int nLength, int *hpBufferSize, NppStreamContext nppStreamCtx)
| Device-buffer size (in bytes) for nppsMinMax_32s. More...
NppStatus | nppsMinMaxGetBufferSize_32s (int nLength, int *hpBufferSize)
NppStatus | nppsMinMaxGetBufferSize_32u_Ctx (int nLength, int *hpBufferSize, NppStreamContext nppStreamCtx)
| Device-buffer size (in bytes) for nppsMinMax_32u. More...
NppStatus | nppsMinMaxGetBufferSize_32u (int nLength, int *hpBufferSize)
NppStatus | nppsMinMaxGetBufferSize_32f_Ctx (int nLength, int *hpBufferSize, NppStreamContext nppStreamCtx)
| Device-buffer size (in bytes) for nppsMinMax_32f. More...
NppStatus | nppsMinMaxGetBufferSize_32f (int nLength, int *hpBufferSize)
NppStatus | nppsMinMaxGetBufferSize_64f_Ctx (int nLength, int *hpBufferSize, NppStreamContext nppStreamCtx)
| Device-buffer size (in bytes) for nppsMinMax_64f. More...
NppStatus | nppsMinMaxGetBufferSize_64f (int nLength, int *hpBufferSize)
NppStatus | nppsMinMax_8u_Ctx (const Npp8u *pSrc, int nLength, Npp8u *pMin, Npp8u *pMax, Npp8u *pDeviceBuffer, NppStreamContext nppStreamCtx)
| 8-bit char vector min and max method More...
NppStatus | nppsMinMax_8u (const Npp8u *pSrc, int nLength, Npp8u *pMin, Npp8u *pMax, Npp8u *pDeviceBuffer)
NppStatus | nppsMinMax_16s_Ctx (const Npp16s *pSrc, int nLength, Npp16s *pMin, Npp16s *pMax, Npp8u *pDeviceBuffer, NppStreamContext nppStreamCtx)
| 16-bit signed short vector min and max method More...
NppStatus | nppsMinMax_16s (const Npp16s *pSrc, int nLength, Npp16s *pMin, Npp16s *pMax, Npp8u *pDeviceBuffer)
NppStatus | nppsMinMax_16u_Ctx (const Npp16u *pSrc, int nLength, Npp16u *pMin, Npp16u *pMax, Npp8u *pDeviceBuffer, NppStreamContext nppStreamCtx)
| 16-bit unsigned short vector min and max method More...
NppStatus | nppsMinMax_16u (const Npp16u *pSrc, int nLength, Npp16u *pMin, Npp16u *pMax, Npp8u *pDeviceBuffer)
NppStatus | nppsMinMax_32u_Ctx (const Npp32u *pSrc, int nLength, Npp32u *pMin, Npp32u *pMax, Npp8u *pDeviceBuffer, NppStreamContext nppStreamCtx)
| 32-bit unsigned int vector min and max method More...
NppStatus | nppsMinMax_32u (const Npp32u *pSrc, int nLength, Npp32u *pMin, Npp32u *pMax, Npp8u *pDeviceBuffer)
NppStatus | nppsMinMax_32s_Ctx (const Npp32s *pSrc, int nLength, Npp32s *pMin, Npp32s *pMax, Npp8u *pDeviceBuffer, NppStreamContext nppStreamCtx)
| 32-bit signed int vector min and max method More...
NppStatus | nppsMinMax_32s (const Npp32s *pSrc, int nLength, Npp32s *pMin, Npp32s *pMax, Npp8u *pDeviceBuffer)
NppStatus | nppsMinMax_32f_Ctx (const Npp32f *pSrc, int nLength, Npp32f *pMin, Npp32f *pMax, Npp8u *pDeviceBuffer, NppStreamContext nppStreamCtx)
| 32-bit float vector min and max method More...
NppStatus | nppsMinMax_32f (const Npp32f *pSrc, int nLength, Npp32f *pMin, Npp32f *pMax, Npp8u *pDeviceBuffer)
NppStatus | nppsMinMax_64f_Ctx (const Npp64f *pSrc, int nLength, Npp64f *pMin, Npp64f *pMax, Npp8u *pDeviceBuffer, NppStreamContext nppStreamCtx)
| 64-bit double vector min and max method More...
NppStatus | nppsMinMax_64f (const Npp64f *pSrc, int nLength, Npp64f *pMin, Npp64f *pMax, Npp8u *pDeviceBuffer)
NppStatus | nppsMinMaxIndxGetBufferSize_8u_Ctx (int nLength, int *hpBufferSize, NppStreamContext nppStreamCtx)
| Device-buffer size (in bytes) for nppsMinMaxIndx_8u. More...
NppStatus | nppsMinMaxIndxGetBufferSize_8u (int nLength, int *hpBufferSize)
NppStatus | nppsMinMaxIndxGetBufferSize_16s_Ctx (int nLength, int *hpBufferSize, NppStreamContext nppStreamCtx)
| Device-buffer size (in bytes) for nppsMinMaxIndx_16s. More...
NppStatus | nppsMinMaxIndxGetBufferSize_16s (int nLength, int *hpBufferSize)
NppStatus | nppsMinMaxIndxGetBufferSize_16u_Ctx (int nLength, int *hpBufferSize, NppStreamContext nppStreamCtx)
| Device-buffer size (in bytes) for nppsMinMaxIndx_16u. More...
NppStatus | nppsMinMaxIndxGetBufferSize_16u (int nLength, int *hpBufferSize)
NppStatus | nppsMinMaxIndxGetBufferSize_32s_Ctx (int nLength, int *hpBufferSize, NppStreamContext nppStreamCtx)
| Device-buffer size (in bytes) for nppsMinMaxIndx_32s. More...
NppStatus | nppsMinMaxIndxGetBufferSize_32s (int nLength, int *hpBufferSize)
NppStatus | nppsMinMaxIndxGetBufferSize_32u_Ctx (int nLength, int *hpBufferSize, NppStreamContext nppStreamCtx)
| Device-buffer size (in bytes) for nppsMinMaxIndx_32u. More...
NppStatus | nppsMinMaxIndxGetBufferSize_32u (int nLength, int *hpBufferSize)
NppStatus | nppsMinMaxIndxGetBufferSize_32f_Ctx (int nLength, int *hpBufferSize, NppStreamContext nppStreamCtx)
| Device-buffer size (in bytes) for nppsMinMaxIndx_32f. More...
NppStatus | nppsMinMaxIndxGetBufferSize_32f (int nLength, int *hpBufferSize)
NppStatus | nppsMinMaxIndxGetBufferSize_64f_Ctx (int nLength, int *hpBufferSize, NppStreamContext nppStreamCtx)
| Device-buffer size (in bytes) for nppsMinMaxIndx_64f. More...
NppStatus | nppsMinMaxIndxGetBufferSize_64f (int nLength, int *hpBufferSize)
NppStatus | nppsMinMaxIndx_8u_Ctx (const Npp8u *pSrc, int nLength, Npp8u *pMin, int *pMinIndx, Npp8u *pMax, int *pMaxIndx, Npp8u *pDeviceBuffer, NppStreamContext nppStreamCtx)
| 8-bit char vector min and max with indices method More...
NppStatus | nppsMinMaxIndx_8u (const Npp8u *pSrc, int nLength, Npp8u *pMin, int *pMinIndx, Npp8u *pMax, int *pMaxIndx, Npp8u *pDeviceBuffer)
NppStatus | nppsMinMaxIndx_16s_Ctx (const Npp16s *pSrc, int nLength, Npp16s *pMin, int *pMinIndx, Npp16s *pMax, int *pMaxIndx, Npp8u *pDeviceBuffer, NppStreamContext nppStreamCtx)
| 16-bit signed short vector min and max with indices method More...
NppStatus | nppsMinMaxIndx_16s (const Npp16s *pSrc, int nLength, Npp16s *pMin, int *pMinIndx, Npp16s *pMax, int *pMaxIndx, Npp8u *pDeviceBuffer)
NppStatus | nppsMinMaxIndx_16u_Ctx (const Npp16u *pSrc, int nLength, Npp16u *pMin, int *pMinIndx, Npp16u *pMax, int *pMaxIndx, Npp8u *pDeviceBuffer, NppStreamContext nppStreamCtx)
| 16-bit unsigned short vector min and max with indices method More...
NppStatus | nppsMinMaxIndx_16u (const Npp16u *pSrc, int nLength, Npp16u *pMin, int *pMinIndx, Npp16u *pMax, int *pMaxIndx, Npp8u *pDeviceBuffer)
NppStatus | nppsMinMaxIndx_32s_Ctx (const Npp32s *pSrc, int nLength, Npp32s *pMin, int *pMinIndx, Npp32s *pMax, int *pMaxIndx, Npp8u *pDeviceBuffer, NppStreamContext nppStreamCtx)
| 32-bit signed short vector min and max with indices method More...
NppStatus | nppsMinMaxIndx_32s (const Npp32s *pSrc, int nLength, Npp32s *pMin, int *pMinIndx, Npp32s *pMax, int *pMaxIndx, Npp8u *pDeviceBuffer)
NppStatus | nppsMinMaxIndx_32u_Ctx (const Npp32u *pSrc, int nLength, Npp32u *pMin, int *pMinIndx, Npp32u *pMax, int *pMaxIndx, Npp8u *pDeviceBuffer, NppStreamContext nppStreamCtx)
| 32-bit unsigned short vector min and max with indices method More...
NppStatus | nppsMinMaxIndx_32u (const Npp32u *pSrc, int nLength, Npp32u *pMin, int *pMinIndx, Npp32u *pMax, int *pMaxIndx, Npp8u *pDeviceBuffer)
NppStatus | nppsMinMaxIndx_32f_Ctx (const Npp32f *pSrc, int nLength, Npp32f *pMin, int *pMinIndx, Npp32f *pMax, int *pMaxIndx, Npp8u *pDeviceBuffer, NppStreamContext nppStreamCtx)
| 32-bit float vector min and max with indices method More...
NppStatus | nppsMinMaxIndx_32f (const Npp32f *pSrc, int nLength, Npp32f *pMin, int *pMinIndx, Npp32f *pMax, int *pMaxIndx, Npp8u *pDeviceBuffer)
NppStatus | nppsMinMaxIndx_64f_Ctx (const Npp64f *pSrc, int nLength, Npp64f *pMin, int *pMinIndx, Npp64f *pMax, int *pMaxIndx, Npp8u *pDeviceBuffer, NppStreamContext nppStreamCtx)
| 64-bit float vector min and max with indices method More...
NppStatus | nppsMinMaxIndx_64f (const Npp64f *pSrc, int nLength, Npp64f *pMin, int *pMinIndx, Npp64f *pMax, int *pMaxIndx, Npp8u *pDeviceBuffer)

## Detailed Description

## Function Documentation

NppStatus nppsMinMax_16s | ( | const Npp16s * | pSrc,
|  | int | nLength,
|  | Npp16s * | pMin,
|  | Npp16s * | pMax,
|  | Npp8u * | pDeviceBuffer
| ) |  |

NppStatus nppsMinMax_16s_Ctx | ( | const Npp16s * | pSrc,
|  | int | nLength,
|  | Npp16s * | pMin,
|  | Npp16s * | pMax,
|  | Npp8u * | pDeviceBuffer,
|  | NppStreamContext | nppStreamCtx
| ) |  |

16-bit signed short vector min and max method

Parameters

  pSrc | Source Signal Pointer.
  nLength | Signal Length.
  pMin | Pointer to the min output result.
  pMax | Pointer to the max output result.
  pDeviceBuffer | Pointer to the required device memory allocation, Scratch Buffer and Host Pointer. Use nppsMinMaxGetBufferSize_16s to determine the minium number of bytes required.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsMinMax_16u | ( | const Npp16u * | pSrc,
|  | int | nLength,
|  | Npp16u * | pMin,
|  | Npp16u * | pMax,
|  | Npp8u * | pDeviceBuffer
| ) |  |

NppStatus nppsMinMax_16u_Ctx | ( | const Npp16u * | pSrc,
|  | int | nLength,
|  | Npp16u * | pMin,
|  | Npp16u * | pMax,
|  | Npp8u * | pDeviceBuffer,
|  | NppStreamContext | nppStreamCtx
| ) |  |

16-bit unsigned short vector min and max method

Parameters

  pSrc | Source Signal Pointer.
  nLength | Signal Length.
  pMin | Pointer to the min output result.
  pMax | Pointer to the max output result.
  pDeviceBuffer | Pointer to the required device memory allocation, Scratch Buffer and Host Pointer. Use nppsMinMaxGetBufferSize_16u to determine the minium number of bytes required.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsMinMax_32f | ( | const Npp32f * | pSrc,
|  | int | nLength,
|  | Npp32f * | pMin,
|  | Npp32f * | pMax,
|  | Npp8u * | pDeviceBuffer
| ) |  |

NppStatus nppsMinMax_32f_Ctx | ( | const Npp32f * | pSrc,
|  | int | nLength,
|  | Npp32f * | pMin,
|  | Npp32f * | pMax,
|  | Npp8u * | pDeviceBuffer,
|  | NppStreamContext | nppStreamCtx
| ) |  |

32-bit float vector min and max method

Parameters

  pSrc | Source Signal Pointer.
  nLength | Signal Length.
  pMin | Pointer to the min output result.
  pMax | Pointer to the max output result.
  pDeviceBuffer | Pointer to the required device memory allocation, Scratch Buffer and Host Pointer. Use nppsMinMaxGetBufferSize_32f to determine the minium number of bytes required.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsMinMax_32s | ( | const Npp32s * | pSrc,
|  | int | nLength,
|  | Npp32s * | pMin,
|  | Npp32s * | pMax,
|  | Npp8u * | pDeviceBuffer
| ) |  |

NppStatus nppsMinMax_32s_Ctx | ( | const Npp32s * | pSrc,
|  | int | nLength,
|  | Npp32s * | pMin,
|  | Npp32s * | pMax,
|  | Npp8u * | pDeviceBuffer,
|  | NppStreamContext | nppStreamCtx
| ) |  |

32-bit signed int vector min and max method

Parameters

  pSrc | Source Signal Pointer.
  nLength | Signal Length.
  pMin | Pointer to the min output result.
  pMax | Pointer to the max output result.
  pDeviceBuffer | Pointer to the required device memory allocation, Scratch Buffer and Host Pointer. Use nppsMinMaxGetBufferSize_32s to determine the minium number of bytes required.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsMinMax_32u | ( | const Npp32u * | pSrc,
|  | int | nLength,
|  | Npp32u * | pMin,
|  | Npp32u * | pMax,
|  | Npp8u * | pDeviceBuffer
| ) |  |

NppStatus nppsMinMax_32u_Ctx | ( | const Npp32u * | pSrc,
|  | int | nLength,
|  | Npp32u * | pMin,
|  | Npp32u * | pMax,
|  | Npp8u * | pDeviceBuffer,
|  | NppStreamContext | nppStreamCtx
| ) |  |

32-bit unsigned int vector min and max method

Parameters

  pSrc | Source Signal Pointer.
  nLength | Signal Length.
  pMin | Pointer to the min output result.
  pMax | Pointer to the max output result.
  pDeviceBuffer | Pointer to the required device memory allocation, Scratch Buffer and Host Pointer. Use nppsMinMaxGetBufferSize_32u to determine the minium number of bytes required.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsMinMax_64f | ( | const Npp64f * | pSrc,
|  | int | nLength,
|  | Npp64f * | pMin,
|  | Npp64f * | pMax,
|  | Npp8u * | pDeviceBuffer
| ) |  |

NppStatus nppsMinMax_64f_Ctx | ( | const Npp64f * | pSrc,
|  | int | nLength,
|  | Npp64f * | pMin,
|  | Npp64f * | pMax,
|  | Npp8u * | pDeviceBuffer,
|  | NppStreamContext | nppStreamCtx
| ) |  |

64-bit double vector min and max method

Parameters

  pSrc | Source Signal Pointer.
  nLength | Signal Length.
  pMin | Pointer to the min output result.
  pMax | Pointer to the max output result.
  pDeviceBuffer | Pointer to the required device memory allocation, Scratch Buffer and Host Pointer. Use nppsMinMaxGetBufferSize_64f to determine the minium number of bytes required.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsMinMax_8u | ( | const Npp8u * | pSrc,
|  | int | nLength,
|  | Npp8u * | pMin,
|  | Npp8u * | pMax,
|  | Npp8u * | pDeviceBuffer
| ) |  |

NppStatus nppsMinMax_8u_Ctx | ( | const Npp8u * | pSrc,
|  | int | nLength,
|  | Npp8u * | pMin,
|  | Npp8u * | pMax,
|  | Npp8u * | pDeviceBuffer,
|  | NppStreamContext | nppStreamCtx
| ) |  |

8-bit char vector min and max method

Parameters

  pSrc | Source Signal Pointer.
  nLength | Signal Length.
  pMin | Pointer to the min output result.
  pMax | Pointer to the max output result.
  pDeviceBuffer | Pointer to the required device memory allocation, Scratch Buffer and Host Pointer. Use nppsMinMaxGetBufferSize_8u to determine the minium number of bytes required.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsMinMaxGetBufferSize_16s | ( | int | nLength,
|  | int * | hpBufferSize
| ) |  |

NppStatus nppsMinMaxGetBufferSize_16s_Ctx | ( | int | nLength,
|  | int * | hpBufferSize,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Device-buffer size (in bytes) for nppsMinMax_16s.

Parameters

  nLength | Signal Length.
  hpBufferSize | Required buffer size. Important: hpBufferSize is a host pointer.
  nppStreamCtx | Application Managed Stream Context.

Returns
  NPP_SUCCESS

NppStatus nppsMinMaxGetBufferSize_16u | ( | int | nLength,
|  | int * | hpBufferSize
| ) |  |

NppStatus nppsMinMaxGetBufferSize_16u_Ctx | ( | int | nLength,
|  | int * | hpBufferSize,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Device-buffer size (in bytes) for nppsMinMax_16u.

Parameters

  nLength | Signal Length.
  hpBufferSize | Required buffer size. Important: hpBufferSize is a host pointer.
  nppStreamCtx | Application Managed Stream Context.

Returns
  NPP_SUCCESS

NppStatus nppsMinMaxGetBufferSize_32f | ( | int | nLength,
|  | int * | hpBufferSize
| ) |  |

NppStatus nppsMinMaxGetBufferSize_32f_Ctx | ( | int | nLength,
|  | int * | hpBufferSize,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Device-buffer size (in bytes) for nppsMinMax_32f.

Parameters

  nLength | Signal Length.
  hpBufferSize | Required buffer size. Important: hpBufferSize is a host pointer.
  nppStreamCtx | Application Managed Stream Context.

Returns
  NPP_SUCCESS

NppStatus nppsMinMaxGetBufferSize_32s | ( | int | nLength,
|  | int * | hpBufferSize
| ) |  |

NppStatus nppsMinMaxGetBufferSize_32s_Ctx | ( | int | nLength,
|  | int * | hpBufferSize,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Device-buffer size (in bytes) for nppsMinMax_32s.

Parameters

  nLength | Signal Length.
  hpBufferSize | Required buffer size. Important: hpBufferSize is a host pointer.
  nppStreamCtx | Application Managed Stream Context.

Returns
  NPP_SUCCESS

NppStatus nppsMinMaxGetBufferSize_32u | ( | int | nLength,
|  | int * | hpBufferSize
| ) |  |

NppStatus nppsMinMaxGetBufferSize_32u_Ctx | ( | int | nLength,
|  | int * | hpBufferSize,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Device-buffer size (in bytes) for nppsMinMax_32u.

Parameters

  nLength | Signal Length.
  hpBufferSize | Required buffer size. Important: hpBufferSize is a host pointer.
  nppStreamCtx | Application Managed Stream Context.

Returns
  NPP_SUCCESS

NppStatus nppsMinMaxGetBufferSize_64f | ( | int | nLength,
|  | int * | hpBufferSize
| ) |  |

NppStatus nppsMinMaxGetBufferSize_64f_Ctx | ( | int | nLength,
|  | int * | hpBufferSize,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Device-buffer size (in bytes) for nppsMinMax_64f.

Parameters

  nLength | Signal Length.
  hpBufferSize | Required buffer size. Important: hpBufferSize is a host pointer.
  nppStreamCtx | Application Managed Stream Context.

Returns
  NPP_SUCCESS

NppStatus nppsMinMaxGetBufferSize_8u | ( | int | nLength,
|  | int * | hpBufferSize
| ) |  |

NppStatus nppsMinMaxGetBufferSize_8u_Ctx | ( | int | nLength,
|  | int * | hpBufferSize,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Device-buffer size (in bytes) for nppsMinMax_8u.

Parameters

  nLength | Signal Length.
  hpBufferSize | Required buffer size. Important: hpBufferSize is a host pointer.
  nppStreamCtx | Application Managed Stream Context.

Returns
  NPP_SUCCESS

NppStatus nppsMinMaxIndx_16s | ( | const Npp16s * | pSrc,
|  | int | nLength,
|  | Npp16s * | pMin,
|  | int * | pMinIndx,
|  | Npp16s * | pMax,
|  | int * | pMaxIndx,
|  | Npp8u * | pDeviceBuffer
| ) |  |

NppStatus nppsMinMaxIndx_16s_Ctx | ( | const Npp16s * | pSrc,
|  | int | nLength,
|  | Npp16s * | pMin,
|  | int * | pMinIndx,
|  | Npp16s * | pMax,
|  | int * | pMaxIndx,
|  | Npp8u * | pDeviceBuffer,
|  | NppStreamContext | nppStreamCtx
| ) |  |

16-bit signed short vector min and max with indices method

Parameters

  pSrc | Source Signal Pointer.
  nLength | Signal Length.
  pMin | Pointer to the min output result.
  pMinIndx | Pointer to the index of the first min value.
  pMax | Pointer to the max output result.
  pMaxIndx | Pointer to the index of the first max value.
  pDeviceBuffer | Pointer to the required device memory allocation, Scratch Buffer and Host Pointer. Use nppsMinMaxIndxGetBufferSize_16s to determine the minium number of bytes required.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsMinMaxIndx_16u | ( | const Npp16u * | pSrc,
|  | int | nLength,
|  | Npp16u * | pMin,
|  | int * | pMinIndx,
|  | Npp16u * | pMax,
|  | int * | pMaxIndx,
|  | Npp8u * | pDeviceBuffer
| ) |  |

NppStatus nppsMinMaxIndx_16u_Ctx | ( | const Npp16u * | pSrc,
|  | int | nLength,
|  | Npp16u * | pMin,
|  | int * | pMinIndx,
|  | Npp16u * | pMax,
|  | int * | pMaxIndx,
|  | Npp8u * | pDeviceBuffer,
|  | NppStreamContext | nppStreamCtx
| ) |  |

16-bit unsigned short vector min and max with indices method

Parameters

  pSrc | Source Signal Pointer.
  nLength | Signal Length.
  pMin | Pointer to the min output result.
  pMinIndx | Pointer to the index of the first min value.
  pMax | Pointer to the max output result.
  pMaxIndx | Pointer to the index of the first max value.
  pDeviceBuffer | Pointer to the required device memory allocation, Scratch Buffer and Host Pointer. Use nppsMinMaxIndxGetBufferSize_16u to determine the minium number of bytes required.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsMinMaxIndx_32f | ( | const Npp32f * | pSrc,
|  | int | nLength,
|  | Npp32f * | pMin,
|  | int * | pMinIndx,
|  | Npp32f * | pMax,
|  | int * | pMaxIndx,
|  | Npp8u * | pDeviceBuffer
| ) |  |

NppStatus nppsMinMaxIndx_32f_Ctx | ( | const Npp32f * | pSrc,
|  | int | nLength,
|  | Npp32f * | pMin,
|  | int * | pMinIndx,
|  | Npp32f * | pMax,
|  | int * | pMaxIndx,
|  | Npp8u * | pDeviceBuffer,
|  | NppStreamContext | nppStreamCtx
| ) |  |

32-bit float vector min and max with indices method

Parameters

  pSrc | Source Signal Pointer.
  nLength | Signal Length.
  pMin | Pointer to the min output result.
  pMinIndx | Pointer to the index of the first min value.
  pMax | Pointer to the max output result.
  pMaxIndx | Pointer to the index of the first max value.
  pDeviceBuffer | Pointer to the required device memory allocation, Scratch Buffer and Host Pointer. Use nppsMinMaxIndxGetBufferSize_32f to determine the minium number of bytes required.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsMinMaxIndx_32s | ( | const Npp32s * | pSrc,
|  | int | nLength,
|  | Npp32s * | pMin,
|  | int * | pMinIndx,
|  | Npp32s * | pMax,
|  | int * | pMaxIndx,
|  | Npp8u * | pDeviceBuffer
| ) |  |

NppStatus nppsMinMaxIndx_32s_Ctx | ( | const Npp32s * | pSrc,
|  | int | nLength,
|  | Npp32s * | pMin,
|  | int * | pMinIndx,
|  | Npp32s * | pMax,
|  | int * | pMaxIndx,
|  | Npp8u * | pDeviceBuffer,
|  | NppStreamContext | nppStreamCtx
| ) |  |

32-bit signed short vector min and max with indices method

Parameters

  pSrc | Source Signal Pointer.
  nLength | Signal Length.
  pMin | Pointer to the min output result.
  pMinIndx | Pointer to the index of the first min value.
  pMax | Pointer to the max output result.
  pMaxIndx | Pointer to the index of the first max value.
  pDeviceBuffer | Pointer to the required device memory allocation, Scratch Buffer and Host Pointer. Use nppsMinMaxIndxGetBufferSize_32s to determine the minium number of bytes required.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsMinMaxIndx_32u | ( | const Npp32u * | pSrc,
|  | int | nLength,
|  | Npp32u * | pMin,
|  | int * | pMinIndx,
|  | Npp32u * | pMax,
|  | int * | pMaxIndx,
|  | Npp8u * | pDeviceBuffer
| ) |  |

NppStatus nppsMinMaxIndx_32u_Ctx | ( | const Npp32u * | pSrc,
|  | int | nLength,
|  | Npp32u * | pMin,
|  | int * | pMinIndx,
|  | Npp32u * | pMax,
|  | int * | pMaxIndx,
|  | Npp8u * | pDeviceBuffer,
|  | NppStreamContext | nppStreamCtx
| ) |  |

32-bit unsigned short vector min and max with indices method

Parameters

  pSrc | Source Signal Pointer.
  nLength | Signal Length.
  pMin | Pointer to the min output result.
  pMinIndx | Pointer to the index of the first min value.
  pMax | Pointer to the max output result.
  pMaxIndx | Pointer to the index of the first max value.
  pDeviceBuffer | Pointer to the required device memory allocation, Scratch Buffer and Host Pointer. Use nppsMinMaxIndxGetBufferSize_32u to determine the minium number of bytes required.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsMinMaxIndx_64f | ( | const Npp64f * | pSrc,
|  | int | nLength,
|  | Npp64f * | pMin,
|  | int * | pMinIndx,
|  | Npp64f * | pMax,
|  | int * | pMaxIndx,
|  | Npp8u * | pDeviceBuffer
| ) |  |

NppStatus nppsMinMaxIndx_64f_Ctx | ( | const Npp64f * | pSrc,
|  | int | nLength,
|  | Npp64f * | pMin,
|  | int * | pMinIndx,
|  | Npp64f * | pMax,
|  | int * | pMaxIndx,
|  | Npp8u * | pDeviceBuffer,
|  | NppStreamContext | nppStreamCtx
| ) |  |

64-bit float vector min and max with indices method

Parameters

  pSrc | Source Signal Pointer.
  nLength | Signal Length.
  pMin | Pointer to the min output result.
  pMinIndx | Pointer to the index of the first min value.
  pMax | Pointer to the max output result.
  pMaxIndx | Pointer to the index of the first max value.
  pDeviceBuffer | Pointer to the required device memory allocation, Scratch Buffer and Host Pointer. Use nppsMinMaxIndxGetBufferSize_64f to determine the minium number of bytes required.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsMinMaxIndx_8u | ( | const Npp8u * | pSrc,
|  | int | nLength,
|  | Npp8u * | pMin,
|  | int * | pMinIndx,
|  | Npp8u * | pMax,
|  | int * | pMaxIndx,
|  | Npp8u * | pDeviceBuffer
| ) |  |

NppStatus nppsMinMaxIndx_8u_Ctx | ( | const Npp8u * | pSrc,
|  | int | nLength,
|  | Npp8u * | pMin,
|  | int * | pMinIndx,
|  | Npp8u * | pMax,
|  | int * | pMaxIndx,
|  | Npp8u * | pDeviceBuffer,
|  | NppStreamContext | nppStreamCtx
| ) |  |

8-bit char vector min and max with indices method

Parameters

  pSrc | Source Signal Pointer.
  nLength | Signal Length.
  pMin | Pointer to the min output result.
  pMinIndx | Pointer to the index of the first min value.
  pMax | Pointer to the max output result.
  pMaxIndx | Pointer to the index of the first max value.
  pDeviceBuffer | Pointer to the required device memory allocation, Scratch Buffer and Host Pointer. Use nppsMinMaxIndxGetBufferSize_8u to determine the minium number of bytes required.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsMinMaxIndxGetBufferSize_16s | ( | int | nLength,
|  | int * | hpBufferSize
| ) |  |

NppStatus nppsMinMaxIndxGetBufferSize_16s_Ctx | ( | int | nLength,
|  | int * | hpBufferSize,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Device-buffer size (in bytes) for nppsMinMaxIndx_16s.

Parameters

  nLength | Signal Length.
  hpBufferSize | Required buffer size. Important: hpBufferSize is a host pointer.
  nppStreamCtx | Application Managed Stream Context.

Returns
  NPP_SUCCESS

NppStatus nppsMinMaxIndxGetBufferSize_16u | ( | int | nLength,
|  | int * | hpBufferSize
| ) |  |

NppStatus nppsMinMaxIndxGetBufferSize_16u_Ctx | ( | int | nLength,
|  | int * | hpBufferSize,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Device-buffer size (in bytes) for nppsMinMaxIndx_16u.

Parameters

  nLength | Signal Length.
  hpBufferSize | Required buffer size. Important: hpBufferSize is a host pointer.
  nppStreamCtx | Application Managed Stream Context.

Returns
  NPP_SUCCESS

NppStatus nppsMinMaxIndxGetBufferSize_32f | ( | int | nLength,
|  | int * | hpBufferSize
| ) |  |

NppStatus nppsMinMaxIndxGetBufferSize_32f_Ctx | ( | int | nLength,
|  | int * | hpBufferSize,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Device-buffer size (in bytes) for nppsMinMaxIndx_32f.

Parameters

  nLength | Signal Length.
  hpBufferSize | Required buffer size. Important: hpBufferSize is a host pointer.
  nppStreamCtx | Application Managed Stream Context.

Returns
  NPP_SUCCESS

NppStatus nppsMinMaxIndxGetBufferSize_32s | ( | int | nLength,
|  | int * | hpBufferSize
| ) |  |

NppStatus nppsMinMaxIndxGetBufferSize_32s_Ctx | ( | int | nLength,
|  | int * | hpBufferSize,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Device-buffer size (in bytes) for nppsMinMaxIndx_32s.

Parameters

  nLength | Signal Length.
  hpBufferSize | Required buffer size. Important: hpBufferSize is a host pointer.
  nppStreamCtx | Application Managed Stream Context.

Returns
  NPP_SUCCESS

NppStatus nppsMinMaxIndxGetBufferSize_32u | ( | int | nLength,
|  | int * | hpBufferSize
| ) |  |

NppStatus nppsMinMaxIndxGetBufferSize_32u_Ctx | ( | int | nLength,
|  | int * | hpBufferSize,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Device-buffer size (in bytes) for nppsMinMaxIndx_32u.

Parameters

  nLength | Signal Length.
  hpBufferSize | Required buffer size. Important: hpBufferSize is a host pointer.
  nppStreamCtx | Application Managed Stream Context.

Returns
  NPP_SUCCESS

NppStatus nppsMinMaxIndxGetBufferSize_64f | ( | int | nLength,
|  | int * | hpBufferSize
| ) |  |

NppStatus nppsMinMaxIndxGetBufferSize_64f_Ctx | ( | int | nLength,
|  | int * | hpBufferSize,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Device-buffer size (in bytes) for nppsMinMaxIndx_64f.

Parameters

  nLength | Signal Length.
  hpBufferSize | Required buffer size. Important: hpBufferSize is a host pointer.
  nppStreamCtx | Application Managed Stream Context.

Returns
  NPP_SUCCESS

NppStatus nppsMinMaxIndxGetBufferSize_8u | ( | int | nLength,
|  | int * | hpBufferSize
| ) |  |

NppStatus nppsMinMaxIndxGetBufferSize_8u_Ctx | ( | int | nLength,
|  | int * | hpBufferSize,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Device-buffer size (in bytes) for nppsMinMaxIndx_8u.

Parameters

  nLength | Signal Length.
  hpBufferSize | Required buffer size. Important: hpBufferSize is a host pointer.
  nppStreamCtx | Application Managed Stream Context.

Returns
  NPP_SUCCESS

Copyright © 2009-2019 NVIDIA Corporation